## org.apache.fop.fo
Class LengthProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.LengthProperty

public class LengthProperty
extends Property

Inner Class Summary
`static class` `LengthProperty.Maker`

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`LengthProperty(Length length)`

Method Summary
`Length` `getLength()` Accessor functions for all possible Property datatypes
`Numeric` `getNumeric()`
`java.lang.Object` `getObject()`

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getEnum, getKeep, getLengthRange, getNCname, getNumber, getSpace, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthProperty

    public LengthProperty(Length length)

Method Detail

### getNumeric

    public Numeric getNumeric()

  Overrides:
    getNumeric in class Property

### getLength

    public Length getLength()

  Description copied from class: Property
  Accessor functions for all possible Property datatypes
  Overrides:
    getLength in class Property

### getObject

    public java.lang.Object getObject()

  Overrides:
    getObject in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.